Hybrid retrieval over facts/events/documents with tunable weights.
curl --request POST \
--url https://api.flumes.ai/v0/recall \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"entity_id": "<string>",
"namespace": "default",
"filters": {
"types": [
"<string>"
],
"tags_any": [
"<string>"
],
"metadata": {},
"time_range": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
},
"sort": "score_desc",
"cursor": "<string>",
"limit": 16,
"retrieval": {
"weights": {
"semantic": 0.45,
"bm25": 0.25,
"graph_prior": 0.15,
"recency_decay": 0.1,
"confidence": 0.05
},
"normalization": "minmax",
"recency_half_life_days": 45,
"top_k": 24,
"diversity": {
"enable": true,
"max_per_predicate": 3,
"max_per_source": 5
},
"predicate_boosts": {},
"entity_boosts": [
"<string>"
],
"depth": 2,
"rerank": {
"enable": false
}
},
"return": {
"include": [
"facts",
"recent_events",
"summary",
"sources"
],
"max_facts": 12,
"max_events": 6,
"include_scores": false,
"include_raw_memories": false,
"trace": false,
"include_structured_facts": false,
"include_raw_matches": false
}
}
'import requests
url = "https://api.flumes.ai/v0/recall"
payload = {
"query": "<string>",
"entity_id": "<string>",
"namespace": "default",
"filters": {
"types": ["<string>"],
"tags_any": ["<string>"],
"metadata": {},
"time_range": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
}
},
"sort": "score_desc",
"cursor": "<string>",
"limit": 16,
"retrieval": {
"weights": {
"semantic": 0.45,
"bm25": 0.25,
"graph_prior": 0.15,
"recency_decay": 0.1,
"confidence": 0.05
},
"normalization": "minmax",
"recency_half_life_days": 45,
"top_k": 24,
"diversity": {
"enable": True,
"max_per_predicate": 3,
"max_per_source": 5
},
"predicate_boosts": {},
"entity_boosts": ["<string>"],
"depth": 2,
"rerank": { "enable": False }
},
"return": {
"include": ["facts", "recent_events", "summary", "sources"],
"max_facts": 12,
"max_events": 6,
"include_scores": False,
"include_raw_memories": False,
"trace": False,
"include_structured_facts": False,
"include_raw_matches": False
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
entity_id: '<string>',
namespace: 'default',
filters: {
types: ['<string>'],
tags_any: ['<string>'],
metadata: {},
time_range: {from: '2023-11-07T05:31:56Z', to: '2023-11-07T05:31:56Z'}
},
sort: 'score_desc',
cursor: '<string>',
limit: 16,
retrieval: {
weights: {
semantic: 0.45,
bm25: 0.25,
graph_prior: 0.15,
recency_decay: 0.1,
confidence: 0.05
},
normalization: 'minmax',
recency_half_life_days: 45,
top_k: 24,
diversity: {enable: true, max_per_predicate: 3, max_per_source: 5},
predicate_boosts: {},
entity_boosts: ['<string>'],
depth: 2,
rerank: {enable: false}
},
return: {
include: ['facts', 'recent_events', 'summary', 'sources'],
max_facts: 12,
max_events: 6,
include_scores: false,
include_raw_memories: false,
trace: false,
include_structured_facts: false,
include_raw_matches: false
}
})
};
fetch('https://api.flumes.ai/v0/recall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matches": [
{
"memory_id": "<string>",
"type": "<string>",
"text": "<string>",
"metadata": {},
"score": 123,
"score_components": {},
"reason": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}
],
"retrieval_summary": {
"weights_used": {
"semantic": 0.45,
"bm25": 0.25,
"graph_prior": 0.15,
"recency_decay": 0.1,
"confidence": 0.05
},
"normalization": "<string>",
"depth": 123,
"candidate_counts": {
"semantic": 123,
"bm25": 123,
"graph": 123,
"union": 123,
"after_filters": 123
},
"diversity_actions": {
"clamped_by_predicate": 123,
"clamped_by_source": 123
},
"degraded": true,
"budget_cut_count": 123
},
"next_cursor": "<string>",
"flags": {
"degraded": false,
"weights_renormalized": false
},
"cost": {
"input_tokens": 0,
"embedding": 0,
"llm_tokens": 0,
"retrieval_ops": 0
},
"raw_items": [
{
"namespace": "default",
"text": "<string>",
"memory_id": "<string>",
"org_id": "<string>",
"agent_id": "<string>",
"entity_id": "<string>",
"metadata": {},
"tags": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"archived": false,
"sensitivity": "auto",
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"unit": "<string>",
"keys": [
"<string>"
],
"valid_from": "2023-11-07T05:31:56Z",
"valid_to": "2023-11-07T05:31:56Z",
"confidence": 0.5,
"status": "active",
"provenance": {}
}
],
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}Retrieval
Hybrid retrieval over facts/events/documents with tunable weights.
POST
/
v0
/
recall
Hybrid retrieval over facts/events/documents with tunable weights.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Agent id within the org.
Maximum string length:
128Body
application/json
Maximum string length:
4000Show child attributes
Show child attributes
Available options:
score_desc, timestamp_desc Required range:
x <= 200Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Matches with scoring
⌘I
